Page MenuHomePhabricator

Update tests in psubus.ll
ClosedPublic

Authored by yulia_koval on Apr 28 2017, 6:41 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

yulia_koval created this revision.Apr 28 2017, 6:41 AM
spatel added inline comments.Apr 29 2017, 11:59 AM
test/CodeGen/X86/psubus.ll
23–25 ↗(On Diff #97082)

Is there some reason not to remove the loading/storing from test1 - test12 as well?

No, I can actually update all the tests like this.

spatel accepted this revision.Apr 30 2017, 5:51 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Apr 30 2017, 5:51 AM

Do you need someone to commit this for you? I just hit a case where another transform would affect codegen in this file, so I'd like to make sure these tests are minimal.

Do you need someone to commit this for you? I just hit a case where another transform would affect codegen in this file, so I'd like to make sure these tests are minimal.

Sure, I'm new and can't commit yet.

This revision was automatically updated to reflect the committed changes.